> ## Documentation Index
> Fetch the complete documentation index at: https://docs.irisagent.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete articles

> Send a request to delete knowledge base articles for AI training via this endpoint



## OpenAPI

````yaml /api-reference/openapi.json delete /v1/articles
openapi: 3.0.3
info:
  title: IrisAgent's API Reference
  description: >
    IrisAgent service can be used as an API to power intelligent conversations
    and search, index, and connect with your internal and external knowledge
    articles, tickets, community forums, product documentation,

    and other informational content.
  version: 1.2.0
servers:
  - url: https://api1.irisagent.com
security:
  - bearerAuth: []
paths:
  /v1/articles:
    delete:
      summary: Delete articles
      description: >-
        Send a request to delete knowledge base articles for AI training via
        this endpoint
      operationId: deleteArticles
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ArticlesDeleteRequest'
      responses:
        '200':
          description: Articles deleted successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ArticlesResponse'
        '400':
          description: Bad request - invalid input
        '401':
          description: Unauthorized - invalid credentials
        '403':
          description: Forbidden - insufficient permissions
components:
  schemas:
    ArticlesDeleteRequest:
      type: object
      properties:
        articles:
          type: array
          items:
            $ref: '#/components/schemas/DeleteArticle'
      required:
        - articles
    ArticlesResponse:
      type: object
      properties:
        result:
          type: string
          enum:
            - success
            - partial
      required:
        - result
    DeleteArticle:
      type: object
      properties:
        articleId:
          description: Unique article ID of the article, for example "article-01"
          type: string
      required:
        - articleId
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: |
        The `Authorization` header is required to authenticate API requests.
        It should contain a bearer token obtained through the IrisAgent portal.

````